package com.ruoyi.powerdistribution.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 队伍积分排名对象 pdm_score_rank_team
 *
 * @author ruoyi
 * @date 2024-12-09
 */
public class PdmScoreRankTeam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 统计年 */
    @Excel(name = "统计年")
    private String reportYear;

    /** 统计年月 */
    @Excel(name = "统计年月")
    private String reportDate;

    /** 队伍类型 */
    @Excel(name = "队伍类型")
    private String teamType;

    /** 队伍ID */
    @Excel(name = "队伍ID")
    private String teamId;

    /** 队伍名称 */
    @Excel(name = "队伍名称")
    private String teamName;

    /** 得分 */
    @Excel(name = "得分")
    private BigDecimal score;

    /** 排序 */
    @Excel(name = "排序")
    private int rankNum;

    /** 是否黑榜 1是0否 */
    @Excel(name = "是否黑榜")
    private String isBlack;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setReportYear(String reportYear)
    {
        this.reportYear = reportYear;
    }

    public String getReportYear()
    {
        return reportYear;
    }
    public void setReportDate(String reportDate)
    {
        this.reportDate = reportDate;
    }

    public String getReportDate()
    {
        return reportDate;
    }
    public void setTeamType(String teamType)
    {
        this.teamType = teamType;
    }

    public String getTeamType()
    {
        return teamType;
    }
    public void setTeamId(String teamId)
    {
        this.teamId = teamId;
    }

    public String getTeamId()
    {
        return teamId;
    }
    public void setTeamName(String teamName)
    {
        this.teamName = teamName;
    }

    public String getTeamName()
    {
        return teamName;
    }
    public void setScore(BigDecimal score)
    {
        this.score = score;
    }

    public BigDecimal getScore()
    {
        return score;
    }

    public int getRankNum() {
        return rankNum;
    }
    public void setRankNum(int rankNum) {
        this.rankNum = rankNum;
    }

    public String getIsBlack() {
        return isBlack;
    }

    public void setIsBlack(String isBlack) {
        this.isBlack = isBlack;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("reportYear", getReportYear())
            .append("reportDate", getReportDate())
            .append("teamType", getTeamType())
            .append("teamId", getTeamId())
            .append("teamName", getTeamName())
            .append("score", getScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
